# Initialize a fake font so conversion of path-based fonts will work when
# a font description exists. Thanks to Xavi Drudis Ferran.
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504223#32

--- a/src/app/Graphics/font.py
+++ b/src/app/Graphics/font.py
@@ -431,4 +431,31 @@
 #	Initialisation on import
 #
 
+## workaround for a bug that stops uniconvertor from working with svg
+## files winth font properties in style attributes, even if they apply
+## to no text because all text is empty or transformed to paths
+## see http://svn.berlios.de/viewcvs/bulmages/branches/docsMonolitic/bulmages/installbulmages/openreports/ca/
+
+class FakeFont(Font):
+    def __init__(self, name):
+        self.name = name
+        self.family = name
+        self.font_attrs = 'Regular Italic'
+        self.xlfd_start = '-adobe-Nimbus Roman No9 L-regular-i-normal'
+        self.encoding_name = 'iso8859-1'
+        self.outlines = None
+        self.ref_count = 0
+        font_cache[self.name] = self
+
+def ensure_there_is_at_least_a_fake_fallback_font():
+   fallback = 'Slim';
+   if (not (config is  None)) and (hasattr(config,'preferences'))  and (hasattr(config.preferences,'fallback_font')):
+           fallback = config.preferences.fallback_font
+   if not font_cache.has_key(fallback):
+          return FakeFont(fallback)
+   return font_cache[fallback]
+
+fallbackFont = ensure_there_is_at_least_a_fake_fallback_font()
+
 Subscribe(const.INITIALIZE, read_font_dirs)
+read_font_dirs()
